Help get this topic noticed by sharing it on Twitter, Facebook, or email.

iMPC does not install on Android 4.4.4?

Any way to install iMPC on Android 4.4.4? I already downloaded the SDK but there was no result.
What is the minimum Android version required to install the iMPC app?
1 person has
this problem
+1
Reply
  • Hey Luiz,

    Thanks for posting!

    Currently, the iMPC application for Android can only be accessed with a Samsung Galaxy device from the Galaxy Apps Store.

    While I do not have the specification for the minimum requirement of Andoid OS, KitKat (4.4) is a relatively older version of that OS. I would recommend reaching out to Retronyms, the developer of iMPC for information about compatibility:

    Retronyms Support

    I hope that helps you!
  • (some HTML allowed)
    How does this make you feel?
    Add Image
    I'm

    e.g. happy, confident, thankful, excited kidding, amused, unsure, silly indifferent, undecided, unconcerned sad, anxious, confused, frustrated